using System.Text.Json.Serialization;
using Prospect.Server.Api.Models.Client.Data;

namespace Prospect.Server.Api.Models.Client;

public class FGetStoreItemsResult
{
    /// <summary>
    ///     [optional] The base catalog that this store is a part of.
    /// </summary>
    [JsonPropertyName("CatalogVersion")]
    public string? CatalogVersion { get; set; }

    /// <summary>
    ///     [optional] Array of items which can be purchased from this store.
    /// </summary>
    [JsonPropertyName("Store")]
    public List<FStoreItem> Store { get; set; } = new();

    /// <summary>
    ///     [optional] The ID of this store.
    /// </summary>
    [JsonPropertyName("StoreId")]
    public string? StoreId { get; set; }
}
